Drag & Drop from Search tool into playlists

February 12, 2016 20:17 - Ali Baba

Status: Closed Start date: February 12, 2016

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/search tool Estimated time: 0.00 hour

Target version: 3.8   

Affects version: 3.7.1   

Description

I would like to drag & drop into playlists from search tool. It works from folders, other playslists, file managers but not with the

audacious search tool.

History

#1 - May 30, 2016 05:19 - Jim Turner

I actually used the Search tool for the 1st time the other day and I SECOND this request!

#2 - July 10, 2016 06:29 - John Lindgren

Yes, this would make sense.  A patch would be welcome.

#3 - August 13, 2016 11:33 - Paul Franke

- File search-tool-dnd.patch added

I hope it is ok to post a patch this way.

#4 - August 14, 2016 00:09 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.8

- % Done changed from 0 to 100

Merged, thank you!

#5 - August 14, 2016 02:37 - Paul Franke

- File fix-dnd.patch added

Great, thank you. Unfortunately the patch supporting lists that are only a drag source prevents dragging more than one selected search-tool result to

a playlist. Fix attached.

#6 - August 14, 2016 07:26 - John Lindgren

That's rather odd ... anyway, thanks for the fix, applied.

#7 - August 14, 2016 15:40 - Paul Franke

- File fix-dnd-really.patch added

This took me some time tracking down, but my last fix is rubbish.

Multiple selections of lists that are only a drag source get mistakenly cleared by button_release_cb because of model->frozen = true. model->frozen is

set false by drag_motion. But the drag-motion signal seems to be fired for destinations only. A quick search on gtk drag-and-drop signal order
revealed chapter three of http://www.compsci.hunter.cuny.edu/~sweiss/course_materials/csci493.70/lecture_notes/GTK_dragndrop.pdf.

Fix attached.

#8 - August 14, 2016 18:27 - John Lindgren

Excellent find, thanks.  I looked briefly at the logic last night trying to figure out what was really going on, but this code is very subtle; evidently even its

author has trouble understanding it any more. :(

#9 - August 14, 2016 22:09 - Paul Franke

Thank you very much merging that all so fast.

Files

search-tool-dnd.patch 1.83 KB August 13, 2016 Paul Franke

fix-dnd.patch 1.32 KB August 14, 2016 Paul Franke

fix-dnd-really.patch 2.92 KB August 14, 2016 Paul Franke

Powered by TCPDF (www.tcpdf.org)

July 11, 2025 2/2

http://www.compsci.hunter.cuny.edu/~sweiss/course_materials/csci493.70/lecture_notes/GTK_dragndrop.pdf
http://www.tcpdf.org

